{ stdenv, lib, fetchFromGitHub
, jansson
, libconfig
, libnice
, openssl
, srtp
, usrsctp
, libmicrohttpd
, libwebsockets
, gnumake
#, cmake
, rabbitmq-c
#, paho-mqtt-c
, nanomsg
, curl
, sofia_sip
, libopus
, libogg
, lua
, glib
, zlib
, pkgconfig
, gengetopt
, autoconf
, automake
, libtool
, libuv
}:

stdenv.mkDerivation rec {
  pname = "janus-gateway";
  version = "0.11.2";

  src = fetchFromGitHub {
    owner = "meetecho";
    repo = pname;
    rev = "v${version}";
    sha256 = "sha256-hv6OdJWsnDYHvUovbPHd5zwnLXebOH1a2jbF9vKpw+M=";
  };

  nativeBuildInputs = [
    jansson
    libconfig
    libnice
    openssl
    srtp
    usrsctp
    libmicrohttpd
    libwebsockets
    gnumake
    #cmake
    rabbitmq-c
    #paho-mqtt-c
    nanomsg
    curl
    sofia_sip
    libopus
    libogg
    lua
    glib
    zlib
    pkgconfig
    gengetopt
    libuv

    autoconf
    automake
    libtool
  ];

  enableParallelBuilding = true;

  preConfigure = "./autogen.sh";

  meta = with lib; {
    description = "Janus WebRTC server";
    homepage = src.meta.homepage;
    license = licenses.gpl3;
    maintainers = with maintainers; [ aw ];
  };
}
