{composerEnv, fetchurl, fetchgit ? null, fetchhg ? null, fetchsvn ? null, noDev ? false}:

let
  packages = {
    "adldap2/adldap2" = {
      targetDir = "";
      src = fetchgit {
        name = "adldap2-adldap2-b2203d800c5932f975abc213c659428697e27cd9";
        url = "https://github.com/Adldap2/Adldap2.git";
        rev = "b2203d800c5932f975abc213c659428697e27cd9";
        sha256 = "0ipb2hizak0rk1m6pbyrsm01sxqijbd983anzp7w9qfjbkkwbpkb";
      };
    };
    "alek13/slack" = {
      targetDir = "";
      src = fetchgit {
        name = "alek13-slack-9db79a622803bf7baf0efafb50e37b900882f7fb";
        url = "https://github.com/php-slack/slack.git";
        rev = "9db79a622803bf7baf0efafb50e37b900882f7fb";
        sha256 = "07axpl34krgsj8cflk8x7flgx328mn21p8vlfpjdkigiszngmcnf";
      };
    };
    "asm89/stack-cors" = {
      targetDir = "";
      src = fetchgit {
        name = "asm89-stack-cors-b9c31def6a83f84b4d4a40d35996d375755f0e08";
        url = "https://github.com/asm89/stack-cors.git";
        rev = "b9c31def6a83f84b4d4a40d35996d375755f0e08";
        sha256 = "1qkh2krf0v15a2xjwmjgvy7bl8jmr4avwgc8avq8ihzvq3cihdws";
      };
    };
    "aws/aws-sdk-php" = {
      targetDir = "";
      src = fetchgit {
        name = "aws-aws-sdk-php-17dc67514b148979994758fbfb54088a8a3393bf";
        url = "https://github.com/aws/aws-sdk-php.git";
        rev = "17dc67514b148979994758fbfb54088a8a3393bf";
        sha256 = "1h60xlsdyrp2m7bn3ivy6ckdn2vc8i1cvw8sjmpszfa4qfj8shg5";
      };
    };
    "bacon/bacon-qr-code" = {
      targetDir = "";
      src = fetchgit {
        name = "bacon-bacon-qr-code-5a91b62b9d37cee635bbf8d553f4546057250bee";
        url = "https://github.com/Bacon/BaconQrCode.git";
        rev = "5a91b62b9d37cee635bbf8d553f4546057250bee";
        sha256 = "1p8sjzhp430di5rik2272ns8wgq16vdspxbzyhzkgclzhk5js7w2";
      };
    };
    "barryvdh/laravel-cors" = {
      targetDir = "";
      src = fetchgit {
        name = "barryvdh-laravel-cors-03492f1a3bc74a05de23f93b94ac7cc5c173eec9";
        url = "https://github.com/fruitcake/laravel-cors.git";
        rev = "03492f1a3bc74a05de23f93b94ac7cc5c173eec9";
        sha256 = "0wbpv919z5rx4z3gns0czyk6jzcgdhmnhydi17qx6vsciv12z53x";
      };
    };
    "barryvdh/laravel-debugbar" = {
      targetDir = "";
      src = fetchgit {
        name = "barryvdh-laravel-debugbar-b8af309dea71eab3f2c942652969f518130228ee";
        url = "https://github.com/barryvdh/laravel-debugbar.git";
        rev = "b8af309dea71eab3f2c942652969f518130228ee";
        sha256 = "0w22rkqdwl2s05ysmyhjs1m34ma6cyw9x5xkasqnh11i5l55dcb1";
      };
    };
    "defuse/php-encryption" = {
      targetDir = "";
      src = fetchgit {
        name = "defuse-php-encryption-0f407c43b953d571421e0020ba92082ed5fb7620";
        url = "https://github.com/defuse/php-encryption.git";
        rev = "0f407c43b953d571421e0020ba92082ed5fb7620";
        sha256 = "09cvldcbrka8z2xm3qgjxys7dxplfh835y12yab48qn6ipv9fwrc";
      };
    };
    "dnoegel/php-xdg-base-dir" = {
      targetDir = "";
      src = fetchgit {
        name = "dnoegel-php-xdg-base-dir-8f8a6e48c5ecb0f991c2fdcf5f154a47d85f9ffd";
        url = "https://github.com/dnoegel/php-xdg-base-dir.git";
        rev = "8f8a6e48c5ecb0f991c2fdcf5f154a47d85f9ffd";
        sha256 = "1m7568jzv98cir44ri0qh6r827c0zmnjmwdm07aq5qkwd7m2nc8r";
      };
    };
    "doctrine/annotations" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-annotations-b17c5014ef81d212ac539f07a1001832df1b6d3b";
        url = "https://github.com/doctrine/annotations.git";
        rev = "b17c5014ef81d212ac539f07a1001832df1b6d3b";
        sha256 = "0b1hyl1x3xgbviks7vlglqk2cr7zsjs0wzjcnn9hx0kdhd2xazsm";
      };
    };
    "doctrine/cache" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-cache-13e3381b25847283a91948d04640543941309727";
        url = "https://github.com/doctrine/cache.git";
        rev = "13e3381b25847283a91948d04640543941309727";
        sha256 = "0jjl4clbl30dmj31nljds0s97f4fpfs7r4w5w9jgpy8xfpadx054";
      };
    };
    "doctrine/collections" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-collections-55f8b799269a1a472457bd1a41b4f379d4cfba4a";
        url = "https://github.com/doctrine/collections.git";
        rev = "55f8b799269a1a472457bd1a41b4f379d4cfba4a";
        sha256 = "05ywkryqakqx6k4ajl1x2q51bqm0zj530fqjb2748940g9p4fr3s";
      };
    };
    "doctrine/common" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-common-f3812c026e557892c34ef37f6ab808a6b567da7f";
        url = "https://github.com/doctrine/common.git";
        rev = "f3812c026e557892c34ef37f6ab808a6b567da7f";
        sha256 = "0l6w032f2bqfyjcjhbf3db3n8k3xw7dznia1wxbcswcvr4zxysx1";
      };
    };
    "doctrine/dbal" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-dbal-67d56d3203b33db29834e6b2fcdbfdc50535d796";
        url = "https://github.com/doctrine/dbal.git";
        rev = "67d56d3203b33db29834e6b2fcdbfdc50535d796";
        sha256 = "00xasmri7mh1dy3i8nn6qdrqcrsvjd4f3m9xgs1wv5idnxbkh3wg";
      };
    };
    "doctrine/deprecations" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-deprecations-9504165960a1f83cc1480e2be1dd0a0478561314";
        url = "https://github.com/doctrine/deprecations.git";
        rev = "9504165960a1f83cc1480e2be1dd0a0478561314";
        sha256 = "08ibwyarnnfk1wz6gsj3cqhcpvy489gwv836vcc59ym99rsg7j0h";
      };
    };
    "doctrine/event-manager" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-event-manager-41370af6a30faa9dc0368c4a6814d596e81aba7f";
        url = "https://github.com/doctrine/event-manager.git";
        rev = "41370af6a30faa9dc0368c4a6814d596e81aba7f";
        sha256 = "05lx8sq6af0mavwfapxpx782z3vr8j9p6n9gzqglrcpx5shl9faz";
      };
    };
    "doctrine/inflector" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-inflector-4650c8b30c753a76bf44fb2ed00117d6f367490c";
        url = "https://github.com/doctrine/inflector.git";
        rev = "4650c8b30c753a76bf44fb2ed00117d6f367490c";
        sha256 = "0v2kqcmp3mis1if9rvbybqqfpnvb4vwkm4b7zlzmmbhpcvxj21bn";
      };
    };
    "doctrine/instantiator" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-instantiator-d56bf6102915de5702778fe20f2de3b2fe570b5b";
        url = "https://github.com/doctrine/instantiator.git";
        rev = "d56bf6102915de5702778fe20f2de3b2fe570b5b";
        sha256 = "0jzv6bx70542hvi3xz1dcdg6n6wi272b9ykflkxp4knkna8g5232";
      };
    };
    "doctrine/lexer" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-lexer-e864bbf5904cb8f5bb334f99209b48018522f042";
        url = "https://github.com/doctrine/lexer.git";
        rev = "e864bbf5904cb8f5bb334f99209b48018522f042";
        sha256 = "1j17c5v03cg54b6msm7my518ba4qmcin1mi7s15ynr99j4ldmb9m";
      };
    };
    "doctrine/persistence" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-persistence-7a6eac9fb6f61bba91328f15aa7547f4806ca288";
        url = "https://github.com/doctrine/persistence.git";
        rev = "7a6eac9fb6f61bba91328f15aa7547f4806ca288";
        sha256 = "1jjfxj84hkbr8avy3bjp6v60pfpcaxk5vwflvw1apf4y8qsymgix";
      };
    };
    "doctrine/reflection" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-reflection-fa587178be682efe90d005e3a322590d6ebb59a5";
        url = "https://github.com/doctrine/reflection.git";
        rev = "fa587178be682efe90d005e3a322590d6ebb59a5";
        sha256 = "00iczhrxrl3hgm0816hm7a8wq343ivx562xx65liv5rk1hc0fgxk";
      };
    };
    "dragonmantank/cron-expression" = {
      targetDir = "";
      src = fetchgit {
        name = "dragonmantank-cron-expression-65b2d8ee1f10915efb3b55597da3404f096acba2";
        url = "https://github.com/dragonmantank/cron-expression.git";
        rev = "65b2d8ee1f10915efb3b55597da3404f096acba2";
        sha256 = "1lphyf5y59fgqls7z2m1b1wpx9l3w1z3rrl9nvp2mb7b7vflszdr";
      };
    };
    "eduardokum/laravel-mail-auto-embed" = {
      targetDir = "";
      src = fetchgit {
        name = "eduardokum-laravel-mail-auto-embed-83349a6a35560edb1c95e31205e2a848d73196ef";
        url = "https://github.com/eduardokum/laravel-mail-auto-embed.git";
        rev = "83349a6a35560edb1c95e31205e2a848d73196ef";
        sha256 = "0zx5ldxa9w6l48l6kws2c1ab35sym9mgcy7zia4zfm06iam544fi";
      };
    };
    "egulias/email-validator" = {
      targetDir = "";
      src = fetchgit {
        name = "egulias-email-validator-0dbf5d78455d4d6a41d186da50adc1122ec066f4";
        url = "https://github.com/egulias/EmailValidator.git";
        rev = "0dbf5d78455d4d6a41d186da50adc1122ec066f4";
        sha256 = "0ngvh7bsa8gqyqx8q819c406iq5cl6q99m1rsdiwxl2hzghvirfs";
      };
    };
    "enshrined/svg-sanitize" = {
      targetDir = "";
      src = fetchgit {
        name = "enshrined-svg-sanitize-bc66593f255b7d2613d8f22041180036979b6403";
        url = "https://github.com/darylldoyle/svg-sanitizer.git";
        rev = "bc66593f255b7d2613d8f22041180036979b6403";
        sha256 = "1z11k72080k2zrg9wwgvli3zzhjzz6dkpyr0kjk52wxs5i1ic2iy";
      };
    };
    "erusev/parsedown" = {
      targetDir = "";
      src = fetchgit {
        name = "erusev-parsedown-cb17b6477dfff935958ba01325f2e8a2bfa6dab3";
        url = "https://github.com/erusev/parsedown.git";
        rev = "cb17b6477dfff935958ba01325f2e8a2bfa6dab3";
        sha256 = "038a6jmjlrah7ic8q99qdvbr4ffh2178gzbh9igdh9fa2i5smv16";
      };
    };
    "fideloper/proxy" = {
      targetDir = "";
      src = fetchgit {
        name = "fideloper-proxy-c073b2bd04d1c90e04dc1b787662b558dd65ade0";
        url = "https://github.com/fideloper/TrustedProxy.git";
        rev = "c073b2bd04d1c90e04dc1b787662b558dd65ade0";
        sha256 = "0bpik4pr0yqp3b81xj00aim1x9ny5brrr89mn9qhy5hp3rdslk5p";
      };
    };
    "filp/whoops" = {
      targetDir = "";
      src = fetchgit {
        name = "filp-whoops-d501fd2658d55491a2295ff600ae5978eaad7403";
        url = "https://github.com/filp/whoops.git";
        rev = "d501fd2658d55491a2295ff600ae5978eaad7403";
        sha256 = "0fb94rpqhzn8ws5cksf9877al6bk0gbzy6igmx0mfjy3cdfxgngp";
      };
    };
    "firebase/php-jwt" = {
      targetDir = "";
      src = fetchgit {
        name = "firebase-php-jwt-f42c9110abe98dd6cfe9053c49bc86acc70b2d23";
        url = "https://github.com/firebase/php-jwt.git";
        rev = "f42c9110abe98dd6cfe9053c49bc86acc70b2d23";
        sha256 = "0n1jmvfynwr07cvdcad11hj77l45zqsqiwddvlxjncrvc1mlk6p2";
      };
    };
    "guzzlehttp/guzzle" = {
      targetDir = "";
      src = fetchgit {
        name = "guzzlehttp-guzzle-9d4290de1cfd701f38099ef7e183b64b4b7b0c5e";
        url = "https://github.com/guzzle/guzzle.git";
        rev = "9d4290de1cfd701f38099ef7e183b64b4b7b0c5e";
        sha256 = "0mmzmmazmxgl4yfnwkid8zhqlhnqy07pwvkyl68ipijhmbh9rp8i";
      };
    };
    "guzzlehttp/promises" = {
      targetDir = "";
      src = fetchgit {
        name = "guzzlehttp-promises-8e7d04f1f6450fef59366c399cfad4b9383aa30d";
        url = "https://github.com/guzzle/promises.git";
        rev = "8e7d04f1f6450fef59366c399cfad4b9383aa30d";
        sha256 = "1x8dd4xadlynsxmbh97n5agjia381v1jjgmdk51r1cxchwhkzdng";
      };
    };
    "guzzlehttp/psr7" = {
      targetDir = "";
      src = fetchgit {
        name = "guzzlehttp-psr7-35ea11d335fd638b5882ff1725228b3d35496ab1";
        url = "https://github.com/guzzle/psr7.git";
        rev = "35ea11d335fd638b5882ff1725228b3d35496ab1";
        sha256 = "0il3a8qbhz7xygvlrijymw7z4lvd9m9nj8p52a26y0fcbsx60dcv";
      };
    };
    "intervention/image" = {
      targetDir = "";
      src = fetchgit {
        name = "intervention-image-abbf18d5ab8367f96b3205ca3c89fb2fa598c69e";
        url = "https://github.com/Intervention/image.git";
        rev = "abbf18d5ab8367f96b3205ca3c89fb2fa598c69e";
        sha256 = "0pkjpi0ra1gq30yyqljz4l0r40hjcwnqn6zwdrja7sdz94lz1nlj";
      };
    };
    "javiereguiluz/easyslugger" = {
      targetDir = "";
      src = fetchgit {
        name = "javiereguiluz-easyslugger-11524a3fd70e3f0c98043755a0ffa228f2529211";
        url = "https://github.com/javiereguiluz/EasySlugger.git";
        rev = "11524a3fd70e3f0c98043755a0ffa228f2529211";
        sha256 = "1ci2jhx57qx0x51ka24c2df9m9mgms4psxnvr28ka5r6djj5n9yf";
      };
    };
    "laminas/laminas-diactoros" = {
      targetDir = "";
      src = fetchgit {
        name = "laminas-laminas-diactoros-36ef09b73e884135d2059cc498c938e90821bb57";
        url = "https://github.com/laminas/laminas-diactoros.git";
        rev = "36ef09b73e884135d2059cc498c938e90821bb57";
        sha256 = "04abqxa8nl6a1kki35l630hv8a1jzbacfa9yjggh13m8y3dqy9jm";
      };
    };
    "laminas/laminas-zendframework-bridge" = {
      targetDir = "";
      src = fetchgit {
        name = "laminas-laminas-zendframework-bridge-6ede70583e101030bcace4dcddd648f760ddf642";
        url = "https://github.com/laminas/laminas-zendframework-bridge.git";
        rev = "6ede70583e101030bcace4dcddd648f760ddf642";
        sha256 = "1661mywahl7smba3yq6fxc4gzrxz8n0zmza8p4sqaxhd3igqdkk8";
      };
    };
    "laravel/framework" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-framework-f4d2beff6f1793909e1db4f2204800183b4f1719";
        url = "https://github.com/laravel/framework.git";
        rev = "f4d2beff6f1793909e1db4f2204800183b4f1719";
        sha256 = "1pxn8mgwkppdxgz2lki91d176bsrk46j1i8visz62n3px5i8rl38";
      };
    };
    "laravel/helpers" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-helpers-febb10d8daaf86123825de2cb87f789a3371f0ac";
        url = "https://github.com/laravel/helpers.git";
        rev = "febb10d8daaf86123825de2cb87f789a3371f0ac";
        sha256 = "1a6ab4ad9w5ggmd2y6hc4rcvp1h3lvgsnkp3fjmccyyxrh2n4vdl";
      };
    };
    "laravel/passport" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-passport-011bd500e8ae3d459b692467880a49ff1ecd60c0";
        url = "https://github.com/laravel/passport.git";
        rev = "011bd500e8ae3d459b692467880a49ff1ecd60c0";
        sha256 = "1333ib870xrxi538id2ai9k2ij2566nhpjchp4s01h1dpb5m4la4";
      };
    };
    "laravel/slack-notification-channel" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-slack-notification-channel-f428e76b8d0a0a2ff413ab225eeb829b9a8ffc20";
        url = "https://github.com/laravel/slack-notification-channel.git";
        rev = "f428e76b8d0a0a2ff413ab225eeb829b9a8ffc20";
        sha256 = "1gvfmgimh8shkw4kj5ap2389vazcjkf2l03bdra17d5fzr0lix48";
      };
    };
    "laravel/tinker" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-tinker-04ad32c1a3328081097a181875733fa51f402083";
        url = "https://github.com/laravel/tinker.git";
        rev = "04ad32c1a3328081097a181875733fa51f402083";
        sha256 = "0cb01fgbi0fwf0dcy9h6s8njlf6bbdd1ngv6pxfcimzv2b19grba";
      };
    };
    "laravelcollective/html" = {
      targetDir = "";
      src = fetchgit {
        name = "laravelcollective-html-ae15b9c4bf918ec3a78f092b8555551dd693fde3";
        url = "https://github.com/LaravelCollective/html.git";
        rev = "ae15b9c4bf918ec3a78f092b8555551dd693fde3";
        sha256 = "1yb80nrcmdybb0xpr3mrj2nngz7w7f5fxs5y1vcdicvym1wg52va";
      };
    };
    "lcobucci/jwt" = {
      targetDir = "";
      src = fetchgit {
        name = "lcobucci-jwt-511629a54465e89a31d3d7e4cf0935feab8b14c1";
        url = "https://github.com/lcobucci/jwt.git";
        rev = "511629a54465e89a31d3d7e4cf0935feab8b14c1";
        sha256 = "0ijg5hd5sincyal60z6gbza40ykla75xch8slygwlp0ya49k1i71";
      };
    };
    "league/commonmark" = {
      targetDir = "";
      src = fetchgit {
        name = "league-commonmark-08fa59b8e4e34ea8a773d55139ae9ac0e0aecbaf";
        url = "https://github.com/thephpleague/commonmark.git";
        rev = "08fa59b8e4e34ea8a773d55139ae9ac0e0aecbaf";
        sha256 = "0x5svnql9in1yf4rvysfani4hrgknrr8rh6p60rj5pmhs3c5bv8s";
      };
    };
    "league/csv" = {
      targetDir = "";
      src = fetchgit {
        name = "league-csv-f28da6e483bf979bac10e2add384c90ae9983e4e";
        url = "https://github.com/thephpleague/csv.git";
        rev = "f28da6e483bf979bac10e2add384c90ae9983e4e";
        sha256 = "05mibbyfwbrhyzfpiwaavnf58wd343gqx73cp6rncqb7cv8fq97p";
      };
    };
    "league/event" = {
      targetDir = "";
      src = fetchgit {
        name = "league-event-d2cc124cf9a3fab2bb4ff963307f60361ce4d119";
        url = "https://github.com/thephpleague/event.git";
        rev = "d2cc124cf9a3fab2bb4ff963307f60361ce4d119";
        sha256 = "152mn83s3ycqlkgrpidhk59zflinzr3xaqb4sjdhxrchsi436ll2";
      };
    };
    "league/flysystem" = {
      targetDir = "";
      src = fetchgit {
        name = "league-flysystem-9be3b16c877d477357c015cec057548cf9b2a14a";
        url = "https://github.com/thephpleague/flysystem.git";
        rev = "9be3b16c877d477357c015cec057548cf9b2a14a";
        sha256 = "10smcysixxwg9xknwyi442wcf9mb44s1hg0w6wqljpx4chxlm4c5";
      };
    };
    "league/flysystem-aws-s3-v3" = {
      targetDir = "";
      src = fetchgit {
        name = "league-flysystem-aws-s3-v3-4e25cc0582a36a786c31115e419c6e40498f6972";
        url = "https://github.com/thephpleague/flysystem-aws-s3-v3.git";
        rev = "4e25cc0582a36a786c31115e419c6e40498f6972";
        sha256 = "1dkvk2asqzkci197arwiw4h6s13l484jbgmfy3slc90yj25zgd27";
      };
    };
    "league/flysystem-cached-adapter" = {
      targetDir = "";
      src = fetchgit {
        name = "league-flysystem-cached-adapter-d1925efb2207ac4be3ad0c40b8277175f99ffaff";
        url = "https://github.com/thephpleague/flysystem-cached-adapter.git";
        rev = "d1925efb2207ac4be3ad0c40b8277175f99ffaff";
        sha256 = "03phiki8prnqk69q57xcghjy0glid15r568sd5fanqhpjsk71xwy";
      };
    };
    "league/mime-type-detection" = {
      targetDir = "";
      src = fetchgit {
        name = "league-mime-type-detection-3b9dff8aaf7323590c1d2e443db701eb1f9aa0d3";
        url = "https://github.com/thephpleague/mime-type-detection.git";
        rev = "3b9dff8aaf7323590c1d2e443db701eb1f9aa0d3";
        sha256 = "1s24df6akl53zzqp0lx32pzmyssgqppmw08r42ra97b1afkx1xzk";
      };
    };
    "league/oauth2-server" = {
      targetDir = "";
      src = fetchgit {
        name = "league-oauth2-server-622eaa1f28eb4a2dea0cfc7e4f5280fac794e83c";
        url = "https://github.com/thephpleague/oauth2-server.git";
        rev = "622eaa1f28eb4a2dea0cfc7e4f5280fac794e83c";
        sha256 = "0maa7cpsryhn4ag40kvn12xr679i18lzwfdwjq5avw9nbagids2a";
      };
    };
    "masterminds/html5" = {
      targetDir = "";
      src = fetchgit {
        name = "masterminds-html5-9227822783c75406cfe400984b2f095cdf03d417";
        url = "https://github.com/Masterminds/html5-php.git";
        rev = "9227822783c75406cfe400984b2f095cdf03d417";
        sha256 = "0jxz58hjzss7fnla33n39a2q5cqq5k3pm1i1jpzrbjays9y21l02";
      };
    };
    "maximebf/debugbar" = {
      targetDir = "";
      src = fetchgit {
        name = "maximebf-debugbar-6d51ee9e94cff14412783785e79a4e7ef97b9d62";
        url = "https://github.com/maximebf/php-debugbar.git";
        rev = "6d51ee9e94cff14412783785e79a4e7ef97b9d62";
        sha256 = "0yn1b189r26qcmfn8nyjrmn3q7s4wjkzaix3z6mv6fp1dlgb8s6g";
      };
    };
    "monolog/monolog" = {
      targetDir = "";
      src = fetchgit {
        name = "monolog-monolog-1cb1cde8e8dd0f70cc0fe51354a59acad9302084";
        url = "https://github.com/Seldaek/monolog.git";
        rev = "1cb1cde8e8dd0f70cc0fe51354a59acad9302084";
        sha256 = "0wzvn2vhqxkj9hj9zfg1y1vl4ppkh3wc0ccna1k18s8v64zbvg4w";
      };
    };
    "mtdowling/jmespath.php" = {
      targetDir = "";
      src = fetchgit {
        name = "mtdowling-jmespath.php-42dae2cbd13154083ca6d70099692fef8ca84bfb";
        url = "https://github.com/jmespath/jmespath.php.git";
        rev = "42dae2cbd13154083ca6d70099692fef8ca84bfb";
        sha256 = "1kryj7n1n0cwk2xci3p3mq3ldhb03xv965p5vjaaamgfc9pr1x90";
      };
    };
    "neitanod/forceutf8" = {
      targetDir = "";
      src = fetchgit {
        name = "neitanod-forceutf8-c1fbe70bfb5ad41b8ec5785056b0e308b40d4831";
        url = "https://github.com/neitanod/forceutf8.git";
        rev = "c1fbe70bfb5ad41b8ec5785056b0e308b40d4831";
        sha256 = "1fx7r4syy24xz4r5q3l99r3c141w6dig8chxy5a9cxpckg3n8g0f";
      };
    };
    "nesbot/carbon" = {
      targetDir = "";
      src = fetchgit {
        name = "nesbot-carbon-2fd2c4a77d58a4e95234c8a61c5df1f157a91bf4";
        url = "https://github.com/briannesbitt/Carbon.git";
        rev = "2fd2c4a77d58a4e95234c8a61c5df1f157a91bf4";
        sha256 = "0d76jp2xcdzwrrvbmmry11k3k8d9h80xbf27kaw9f746nm8y8wy5";
      };
    };
    "nikic/php-parser" = {
      targetDir = "";
      src = fetchgit {
        name = "nikic-php-parser-c6d052fc58cb876152f89f532b95a8d7907e7f0e";
        url = "https://github.com/nikic/PHP-Parser.git";
        rev = "c6d052fc58cb876152f89f532b95a8d7907e7f0e";
        sha256 = "1cwiwl1536b75ap5wrgbvvwc9r4fsyr6y8d5s9bqiw5lm29snv9z";
      };
    };
    "nunomaduro/collision" = {
      targetDir = "";
      src = fetchgit {
        name = "nunomaduro-collision-f7c45764dfe4ba5f2618d265a6f1f9c72732e01d";
        url = "https://github.com/nunomaduro/collision.git";
        rev = "f7c45764dfe4ba5f2618d265a6f1f9c72732e01d";
        sha256 = "0ar4k0p0ikrkxa54jcmvbxg82ss40v06gw5xfgbm2qpckmmzbsfr";
      };
    };
    "nyholm/psr7" = {
      targetDir = "";
      src = fetchgit {
        name = "nyholm-psr7-23ae1f00fbc6a886cbe3062ca682391b9cc7c37b";
        url = "https://github.com/Nyholm/psr7.git";
        rev = "23ae1f00fbc6a886cbe3062ca682391b9cc7c37b";
        sha256 = "0r8wb31f2rsw2lrbfw99ar0k8cfkh7qyyhj8mqc90l0bp1ls6xf1";
      };
    };
    "onelogin/php-saml" = {
      targetDir = "";
      src = fetchgit {
        name = "onelogin-php-saml-a7328b11887660ad248ea10952dd67a5aa73ba3b";
        url = "https://github.com/onelogin/php-saml.git";
        rev = "a7328b11887660ad248ea10952dd67a5aa73ba3b";
        sha256 = "1zqp1qva15x2wavhz947x6rr63n2a7wx8grv290azikhszkhxk8p";
      };
    };
    "opis/closure" = {
      targetDir = "";
      src = fetchgit {
        name = "opis-closure-943b5d70cc5ae7483f6aff6ff43d7e34592ca0f5";
        url = "https://github.com/opis/closure.git";
        rev = "943b5d70cc5ae7483f6aff6ff43d7e34592ca0f5";
        sha256 = "01bg8rbhm6dr48wam133xkp82zz3kygpzy5zvdq03l2g6wwyxpkx";
      };
    };
    "paragonie/constant_time_encoding" = {
      targetDir = "";
      src = fetchgit {
        name = "paragonie-constant_time_encoding-f34c2b11eb9d2c9318e13540a1dbc2a3afbd939c";
        url = "https://github.com/paragonie/constant_time_encoding.git";
        rev = "f34c2b11eb9d2c9318e13540a1dbc2a3afbd939c";
        sha256 = "0dqcrg22yfmk75px852vhmpkam6ay9xmmm6hvfnwqq1pf9a5k7h5";
      };
    };
    "paragonie/random_compat" = {
      targetDir = "";
      src = fetchgit {
        name = "paragonie-random_compat-84b4dfb120c6f9b4ff7b3685f9b8f1aa365a0c95";
        url = "https://github.com/paragonie/random_compat.git";
        rev = "84b4dfb120c6f9b4ff7b3685f9b8f1aa365a0c95";
        sha256 = "1p7kwj9wplv8pvn752adhmbnsbhar270minib831d3jngr3glkfh";
      };
    };
    "patchwork/utf8" = {
      targetDir = "";
      src = fetchgit {
        name = "patchwork-utf8-e1fa4d4a57896d074c9a8d01742b688d5db4e9d5";
        url = "https://github.com/tchwork/utf8.git";
        rev = "e1fa4d4a57896d074c9a8d01742b688d5db4e9d5";
        sha256 = "1a67mlw4nm3qd7drcjpfd7k2fdhkqzd4x106dl86gl28zczkw57r";
      };
    };
    "php-http/message-factory" = {
      targetDir = "";
      src = fetchgit {
        name = "php-http-message-factory-a478cb11f66a6ac48d8954216cfed9aa06a501a1";
        url = "https://github.com/php-http/message-factory.git";
        rev = "a478cb11f66a6ac48d8954216cfed9aa06a501a1";
        sha256 = "0qd3ba6wrshkmb6lympb0hvsnmy2hd269yyz3m1wwf4z08mi3zkf";
      };
    };
    "php-parallel-lint/php-console-color" = {
      targetDir = "";
      src = fetchgit {
        name = "php-parallel-lint-php-console-color-b6af326b2088f1ad3b264696c9fd590ec395b49e";
        url = "https://github.com/php-parallel-lint/PHP-Console-Color.git";
        rev = "b6af326b2088f1ad3b264696c9fd590ec395b49e";
        sha256 = "0fcypy46jpbm6bvpby09a4q0q1rby3msy1k9gv7r7qgl1s3s81w9";
      };
    };
    "php-parallel-lint/php-console-highlighter" = {
      targetDir = "";
      src = fetchgit {
        name = "php-parallel-lint-php-console-highlighter-21bf002f077b177f056d8cb455c5ed573adfdbb8";
        url = "https://github.com/php-parallel-lint/PHP-Console-Highlighter.git";
        rev = "21bf002f077b177f056d8cb455c5ed573adfdbb8";
        sha256 = "1gvm0hai3pj4nz6f69ifq6jz4p7gzm8m4yj3dyd1qpwkn3008dp5";
      };
    };
    "phpdocumentor/reflection-common" = {
      targetDir = "";
      src = fetchgit {
        name = "phpdocumentor-reflection-common-1d01c49d4ed62f25aa84a747ad35d5a16924662b";
        url = "https://github.com/phpDocumentor/ReflectionCommon.git";
        rev = "1d01c49d4ed62f25aa84a747ad35d5a16924662b";
        sha256 = "1q685cpwbfxqy42iz61xxv6zbcc1qskn07nkipflj6c5s935l8jy";
      };
    };
    "phpdocumentor/reflection-docblock" = {
      targetDir = "";
      src = fetchgit {
        name = "phpdocumentor-reflection-docblock-069a785b2141f5bcf49f3e353548dc1cce6df556";
        url = "https://github.com/phpDocumentor/ReflectionDocBlock.git";
        rev = "069a785b2141f5bcf49f3e353548dc1cce6df556";
        sha256 = "1wqz7wyaajys01sjzkz4my7jh9wsv8rjl5hgp7kyijld70k66jg5";
      };
    };
    "phpdocumentor/type-resolver" = {
      targetDir = "";
      src = fetchgit {
        name = "phpdocumentor-type-resolver-6a467b8989322d92aa1c8bf2bebcc6e5c2ba55c0";
        url = "https://github.com/phpDocumentor/TypeResolver.git";
        rev = "6a467b8989322d92aa1c8bf2bebcc6e5c2ba55c0";
        sha256 = "1md1xb7vvdf0a9nwism4i6kwpa46hyv98wr60hi0yx9vkrg0djxj";
      };
    };
    "phpoption/phpoption" = {
      targetDir = "";
      src = fetchgit {
        name = "phpoption-phpoption-994ecccd8f3283ecf5ac33254543eb0ac946d525";
        url = "https://github.com/schmittjoh/php-option.git";
        rev = "994ecccd8f3283ecf5ac33254543eb0ac946d525";
        sha256 = "1fccpaixa8hsxd9629d6hc0r0s6hflbmk3syxm72iy274p3vha2s";
      };
    };
    "phpseclib/phpseclib" = {
      targetDir = "";
      src = fetchgit {
        name = "phpseclib-phpseclib-233a920cb38636a43b18d428f9a8db1f0a1a08f4";
        url = "https://github.com/phpseclib/phpseclib.git";
        rev = "233a920cb38636a43b18d428f9a8db1f0a1a08f4";
        sha256 = "1maaccjfpljyc4ppk0gjx6r0gn2rx2lzzsxfs5n8vrz29w50cn29";
      };
    };
    "phpspec/prophecy" = {
      targetDir = "";
      src = fetchgit {
        name = "phpspec-prophecy-be1996ed8adc35c3fd795488a653f4b518be70ea";
        url = "https://github.com/phpspec/prophecy.git";
        rev = "be1996ed8adc35c3fd795488a653f4b518be70ea";
        sha256 = "0qyqsjr079s6q9lzyv4njj0nmwfjhg35qa7028vsjvdbdcy7721j";
      };
    };
    "pragmarx/google2fa" = {
      targetDir = "";
      src = fetchgit {
        name = "pragmarx-google2fa-26c4c5cf30a2844ba121760fd7301f8ad240100b";
        url = "https://github.com/antonioribeiro/google2fa.git";
        rev = "26c4c5cf30a2844ba121760fd7301f8ad240100b";
        sha256 = "1dn48a7avqbalvl62phf5nf5zrlbxq33wgpyag0w1kq9vl6sh4rn";
      };
    };
    "pragmarx/google2fa-laravel" = {
      targetDir = "";
      src = fetchgit {
        name = "pragmarx-google2fa-laravel-f9014fd7ea36a1f7fffa233109cf59b209469647";
        url = "https://github.com/antonioribeiro/google2fa-laravel.git";
        rev = "f9014fd7ea36a1f7fffa233109cf59b209469647";
        sha256 = "1hkhd2jbqbpyf7bwx9klf1zvr8ichzall5hh75br71fk9gs40r8n";
      };
    };
    "pragmarx/google2fa-qrcode" = {
      targetDir = "";
      src = fetchgit {
        name = "pragmarx-google2fa-qrcode-fd5ff0531a48b193a659309cc5fb882c14dbd03f";
        url = "https://github.com/antonioribeiro/google2fa-qrcode.git";
        rev = "fd5ff0531a48b193a659309cc5fb882c14dbd03f";
        sha256 = "1xncjigf98c8iygch3whkij1c93kbg0r4lbsgh92j32yi42pnkcf";
      };
    };
    "psr/cache" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-cache-d11b50ad223250cf17b86e38383413f5a6764bf8";
        url = "https://github.com/php-fig/cache.git";
        rev = "d11b50ad223250cf17b86e38383413f5a6764bf8";
        sha256 = "165nhqrqh7q2rrxz86iywv5nkyr0ybxfbnmcxk54bsy6yhkhvg3s";
      };
    };
    "psr/container" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-container-8622567409010282b7aeebe4bb841fe98b58dcaf";
        url = "https://github.com/php-fig/container.git";
        rev = "8622567409010282b7aeebe4bb841fe98b58dcaf";
        sha256 = "0nkpplp3nsgqflyxs7aqvi6q6sg63dwqcgs091wwh9wcqd8dvw86";
      };
    };
    "psr/http-factory" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-http-factory-12ac7fcd07e5b077433f5f2bee95b3a771bf61be";
        url = "https://github.com/php-fig/http-factory.git";
        rev = "12ac7fcd07e5b077433f5f2bee95b3a771bf61be";
        sha256 = "0vq042m4m0i8kilqywfkywv785myyp61flbjl984llzkkds5gxy9";
      };
    };
    "psr/http-message" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-http-message-f6561bf28d520154e4b0ec72be95418abe6d9363";
        url = "https://github.com/php-fig/http-message.git";
        rev = "f6561bf28d520154e4b0ec72be95418abe6d9363";
        sha256 = "0vl1qzc780wfhyfbarvnyqsd530kz32g3iv1ijcr3x1apifrsppx";
      };
    };
    "psr/log" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-log-0f73288fd15629204f9d42b7055f72dacbe811fc";
        url = "https://github.com/php-fig/log.git";
        rev = "0f73288fd15629204f9d42b7055f72dacbe811fc";
        sha256 = "0pprvbdlghlirkm8gfz0lwpiim9indw1bn1nkbm9pv7cavq0lymz";
      };
    };
    "psr/simple-cache" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-simple-cache-408d5eafb83c57f6365a3ca330ff23aa4a5fa39b";
        url = "https://github.com/php-fig/simple-cache.git";
        rev = "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b";
        sha256 = "02yrfcycry2h4k25v71nihdl0nl6hilv023sp19mwwcgwfigf7y4";
      };
    };
    "psy/psysh" = {
      targetDir = "";
      src = fetchgit {
        name = "psy-psysh-a395af46999a12006213c0c8346c9445eb31640c";
        url = "https://github.com/bobthecow/psysh.git";
        rev = "a395af46999a12006213c0c8346c9445eb31640c";
        sha256 = "05i6gwrxsqsyry12hfza2xvf9jxbddd3gfmy987gfb5aaspcxm8k";
      };
    };
    "ralouphie/getallheaders" = {
      targetDir = "";
      src = fetchgit {
        name = "ralouphie-getallheaders-120b605dfeb996808c31b6477290a714d356e822";
        url = "https://github.com/ralouphie/getallheaders.git";
        rev = "120b605dfeb996808c31b6477290a714d356e822";
        sha256 = "06b04had20vs9jbl55askh68jm3fck53mbjxhhzsa6i2h3fgz3dk";
      };
    };
    "ramsey/uuid" = {
      targetDir = "";
      src = fetchgit {
        name = "ramsey-uuid-7e1633a6964b48589b142d60542f9ed31bd37a92";
        url = "https://github.com/ramsey/uuid.git";
        rev = "7e1633a6964b48589b142d60542f9ed31bd37a92";
        sha256 = "1pnfnbnrzfsrr6d5dgxhghckzrb2xs5h86qkcvwq6hshpaja267n";
      };
    };
    "robrichards/xmlseclibs" = {
      targetDir = "";
      src = fetchgit {
        name = "robrichards-xmlseclibs-f8f19e58f26cdb42c54b214ff8a820760292f8df";
        url = "https://github.com/robrichards/xmlseclibs.git";
        rev = "f8f19e58f26cdb42c54b214ff8a820760292f8df";
        sha256 = "0nc2s9g9l5rd5yhpncskaw742fb6k3pbw881jp2nc31rvryzp8c6";
      };
    };
    "rollbar/rollbar" = {
      targetDir = "";
      src = fetchgit {
        name = "rollbar-rollbar-ff3db5739dd635740caed02ddad43e671b5a37e5";
        url = "https://github.com/rollbar/rollbar-php.git";
        rev = "ff3db5739dd635740caed02ddad43e671b5a37e5";
        sha256 = "10g8asz2524nzkimxa7kk94p0jpqr49dxi426v3lzzqqsbv4jl7v";
      };
    };
    "rollbar/rollbar-laravel" = {
      targetDir = "";
      src = fetchgit {
        name = "rollbar-rollbar-laravel-11df7e19313a4cf60769d26ce35e29b09d5405cd";
        url = "https://github.com/rollbar/rollbar-php-laravel.git";
        rev = "11df7e19313a4cf60769d26ce35e29b09d5405cd";
        sha256 = "1d53hyf9j5dh2yl4pgyk0m845srgnwqwgq1maj9d33a0s2g89rkc";
      };
    };
    "sebastian/comparator" = {
      targetDir = "";
      src = fetchgit {
        name = "sebastian-comparator-1071dfcef776a57013124ff35e1fc41ccd294758";
        url = "https://github.com/sebastianbergmann/comparator.git";
        rev = "1071dfcef776a57013124ff35e1fc41ccd294758";
        sha256 = "11xarjvkxfnvx3m9azj2846w8ljhnkgqcri8gnp64z2ms201aakk";
      };
    };
    "sebastian/diff" = {
      targetDir = "";
      src = fetchgit {
        name = "sebastian-diff-14f72dd46eaf2f2293cbe79c93cc0bc43161a211";
        url = "https://github.com/sebastianbergmann/diff.git";
        rev = "14f72dd46eaf2f2293cbe79c93cc0bc43161a211";
        sha256 = "085ivgf0x853hfg81p9m6brsj1j45hgrzl3bjyps9da2vhc7ix0c";
      };
    };
    "sebastian/exporter" = {
      targetDir = "";
      src = fetchgit {
        name = "sebastian-exporter-6b853149eab67d4da22291d36f5b0631c0fd856e";
        url = "https://github.com/sebastianbergmann/exporter.git";
        rev = "6b853149eab67d4da22291d36f5b0631c0fd856e";
        sha256 = "1qrvj87vk7cqmilcgy0hhn2mprcl5ly730ds6r88rbd19pg67j01";
      };
    };
    "sebastian/recursion-context" = {
      targetDir = "";
      src = fetchgit {
        name = "sebastian-recursion-context-367dcba38d6e1977be014dc4b22f47a484dac7fb";
        url = "https://github.com/sebastianbergmann/recursion-context.git";
        rev = "367dcba38d6e1977be014dc4b22f47a484dac7fb";
        sha256 = "09jbkyd9g9bdpz8gvlcr0njpmxzm0sbr9by0xsjh2psqpp0ivngd";
      };
    };
    "spatie/db-dumper" = {
      targetDir = "";
      src = fetchgit {
        name = "spatie-db-dumper-05e5955fb882008a8947c5a45146d86cfafa10d1";
        url = "https://github.com/spatie/db-dumper.git";
        rev = "05e5955fb882008a8947c5a45146d86cfafa10d1";
        sha256 = "110mpba7dz308l86j8v7q5w0r7xy5i2nrs2kmjzb0b70r5hbisyx";
      };
    };
    "spatie/laravel-backup" = {
      targetDir = "";
      src = fetchgit {
        name = "spatie-laravel-backup-3ede36961b79b6ea4a6b5f708f2cc60fee74ad6c";
        url = "https://github.com/spatie/laravel-backup.git";
        rev = "3ede36961b79b6ea4a6b5f708f2cc60fee74ad6c";
        sha256 = "0dpa9hk42b8ph1wigq1wv4hhm7ldibcigxdcdw1na722fsfrlznl";
      };
    };
    "spatie/temporary-directory" = {
      targetDir = "";
      src = fetchgit {
        name = "spatie-temporary-directory-f517729b3793bca58f847c5fd383ec16f03ffec6";
        url = "https://github.com/spatie/temporary-directory.git";
        rev = "f517729b3793bca58f847c5fd383ec16f03ffec6";
        sha256 = "0as8yyaa5bl76hqpsgkrygqvyrn0jc746lnf0f44val8h3kqylzm";
      };
    };
    "squizlabs/php_codesniffer" = {
      targetDir = "";
      src = fetchgit {
        name = "squizlabs-php_codesniffer-9d583721a7157ee997f235f327de038e7ea6dac4";
        url = "https://github.com/squizlabs/PHP_CodeSniffer.git";
        rev = "9d583721a7157ee997f235f327de038e7ea6dac4";
        sha256 = "0pllwjq9hg9fn4p22kflp4a0agw3k6n8zfb7n4sf9xxlcpiw63h8";
      };
    };
    "swiftmailer/swiftmailer" = {
      targetDir = "";
      src = fetchgit {
        name = "swiftmailer-swiftmailer-15f7faf8508e04471f666633addacf54c0ab5933";
        url = "https://github.com/swiftmailer/swiftmailer.git";
        rev = "15f7faf8508e04471f666633addacf54c0ab5933";
        sha256 = "1gbdxws5nwm7xa65dnwhj07zfdac3f83ijlhlwiwqqhsh4ds8hmh";
      };
    };
    "symfony/console" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-console-1ba4560dbbb9fcf5ae28b61f71f49c678086cf23";
        url = "https://github.com/symfony/console.git";
        rev = "1ba4560dbbb9fcf5ae28b61f71f49c678086cf23";
        sha256 = "0b86f19w3vwk8x11h3wbh5k809x627m1f7yq9yc54qpnfq9yxxby";
      };
    };
    "symfony/css-selector" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-css-selector-f907d3e53ecb2a5fad8609eb2f30525287a734c8";
        url = "https://github.com/symfony/css-selector.git";
        rev = "f907d3e53ecb2a5fad8609eb2f30525287a734c8";
        sha256 = "1ga94ng2bgm714i0afbdna0qvw1ghk57ds1dzy9bjjd2dbkhkj3z";
      };
    };
    "symfony/debug" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-debug-157bbec4fd773bae53c5483c50951a5530a2cc16";
        url = "https://github.com/symfony/debug.git";
        rev = "157bbec4fd773bae53c5483c50951a5530a2cc16";
        sha256 = "01212cjyf6c6q3gz4jlv7k3j0l3dj1bnpk55xik6qs89m4hcykp3";
      };
    };
    "symfony/deprecation-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-deprecation-contracts-5fa56b4074d1ae755beb55617ddafe6f5d78f665";
        url = "https://github.com/symfony/deprecation-contracts.git";
        rev = "5fa56b4074d1ae755beb55617ddafe6f5d78f665";
        sha256 = "1jq9w4r9bg99n6mcyqk3r2a42p0k2j472bm53jmzz838d2lplxg8";
      };
    };
    "symfony/error-handler" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-error-handler-48e81a375525872e788c2418430f54150d935810";
        url = "https://github.com/symfony/error-handler.git";
        rev = "48e81a375525872e788c2418430f54150d935810";
        sha256 = "0wf4gipq5mj28y0wrafsjxdz6617map9nqqyf4psh43g7zk93wal";
      };
    };
    "symfony/event-dispatcher" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-event-dispatcher-c352647244bd376bf7d31efbd5401f13f50dad0c";
        url = "https://github.com/symfony/event-dispatcher.git";
        rev = "c352647244bd376bf7d31efbd5401f13f50dad0c";
        sha256 = "0dlil77qk2fpykxkvam4mcnxwffjrj5pr6996xvvjgpxp48rnmvl";
      };
    };
    "symfony/event-dispatcher-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-event-dispatcher-contracts-84e23fdcd2517bf37aecbd16967e83f0caee25a7";
        url = "https://github.com/symfony/event-dispatcher-contracts.git";
        rev = "84e23fdcd2517bf37aecbd16967e83f0caee25a7";
        sha256 = "1l750hlblv2lqsz2d8rxj9yz9hyagknrwnqbmqqn95l1ajc6n59y";
      };
    };
    "symfony/finder" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-finder-2543795ab1570df588b9bbd31e1a2bd7037b94f6";
        url = "https://github.com/symfony/finder.git";
        rev = "2543795ab1570df588b9bbd31e1a2bd7037b94f6";
        sha256 = "09kr8vz7jywk8h91v32hicxcwmlymknmjijmdl48l72k3jy6m1gj";
      };
    };
    "symfony/http-client-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-http-client-contracts-41db680a15018f9c1d4b23516059633ce280ca33";
        url = "https://github.com/symfony/http-client-contracts.git";
        rev = "41db680a15018f9c1d4b23516059633ce280ca33";
        sha256 = "0289gzhv8bqlpg0f1nkmdp68ldq957k4j1iikdswl24hd2bgigg7";
      };
    };
    "symfony/http-foundation" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-http-foundation-02d968647fe61b2f419a8dc70c468a9d30a48d3a";
        url = "https://github.com/symfony/http-foundation.git";
        rev = "02d968647fe61b2f419a8dc70c468a9d30a48d3a";
        sha256 = "0gyrrj1mr37bzzrsikj6p0wbqnd60wqhf157cavpqdar7a3b34gw";
      };
    };
    "symfony/http-kernel" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-http-kernel-0248214120d00c5f44f1cd5d9ad65f0b38459333";
        url = "https://github.com/symfony/http-kernel.git";
        rev = "0248214120d00c5f44f1cd5d9ad65f0b38459333";
        sha256 = "1qj71fp96a3cg6xqs3gjadfx0sxkzf4z4qxd0znf05p8kb6qycal";
      };
    };
    "symfony/mime" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-mime-1b2092244374cbe48ae733673f2ca0818b37197b";
        url = "https://github.com/symfony/mime.git";
        rev = "1b2092244374cbe48ae733673f2ca0818b37197b";
        sha256 = "1didj0wy6pnaf5iw14yqv1k5vwmimd9jwlfavdq0wjah20ljkd9c";
      };
    };
    "symfony/polyfill-ctype" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-ctype-c6c942b1ac76c82448322025e084cadc56048b4e";
        url = "https://github.com/symfony/polyfill-ctype.git";
        rev = "c6c942b1ac76c82448322025e084cadc56048b4e";
        sha256 = "0yv4vwnr3ld6bg9j0gaxa8gi942fgk687hdap30n0wrm16ywchxi";
      };
    };
    "symfony/polyfill-iconv" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-iconv-06fb361659649bcfd6a208a0f1fcaf4e827ad342";
        url = "https://github.com/symfony/polyfill-iconv.git";
        rev = "06fb361659649bcfd6a208a0f1fcaf4e827ad342";
        sha256 = "0n5q7h5jfnsrlsm6zwzyv5pcscqnz24bkjp0hkwvqdhnh9nvpx2i";
      };
    };
    "symfony/polyfill-intl-idn" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-intl-idn-2d63434d922daf7da8dd863e7907e67ee3031483";
        url = "https://github.com/symfony/polyfill-intl-idn.git";
        rev = "2d63434d922daf7da8dd863e7907e67ee3031483";
        sha256 = "0jv63vi40gba23kycwc4hwkv5kmrr24kffv5q6cxz9nf20ir2r0m";
      };
    };
    "symfony/polyfill-intl-normalizer" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-intl-normalizer-43a0283138253ed1d48d352ab6d0bdb3f809f248";
        url = "https://github.com/symfony/polyfill-intl-normalizer.git";
        rev = "43a0283138253ed1d48d352ab6d0bdb3f809f248";
        sha256 = "180hldhh3jw80mivcv6csj3i1b87n9vnpvpn7vgvpfivd98p3rk8";
      };
    };
    "symfony/polyfill-mbstring" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-mbstring-5232de97ee3b75b0360528dae24e73db49566ab1";
        url = "https://github.com/symfony/polyfill-mbstring.git";
        rev = "5232de97ee3b75b0360528dae24e73db49566ab1";
        sha256 = "1124j3r9baz7bss6j45nzy5g86kyhll29g0n9zvz3fc246bkgg9b";
      };
    };
    "symfony/polyfill-php72" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-php72-cc6e6f9b39fe8075b3dabfbaf5b5f645ae1340c9";
        url = "https://github.com/symfony/polyfill-php72.git";
        rev = "cc6e6f9b39fe8075b3dabfbaf5b5f645ae1340c9";
        sha256 = "04hp96lzrvak66w8idnhmg7cd4vc851msrf8smk7d4xa6irjjmdy";
      };
    };
    "symfony/polyfill-php73" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-php73-a678b42e92f86eca04b7fa4c0f6f19d097fb69e2";
        url = "https://github.com/symfony/polyfill-php73.git";
        rev = "a678b42e92f86eca04b7fa4c0f6f19d097fb69e2";
        sha256 = "1gr66qj7aqci7412ikzs2ymgy8v9gk1plp5hwxp3wvp5n64zlj48";
      };
    };
    "symfony/polyfill-php80" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-php80-dc3063ba22c2a1fd2f45ed856374d79114998f91";
        url = "https://github.com/symfony/polyfill-php80.git";
        rev = "dc3063ba22c2a1fd2f45ed856374d79114998f91";
        sha256 = "1xmm6dx8351gg2h4dms9yq4jnsdf9kn84w76qiipi2zxydqcvyxb";
      };
    };
    "symfony/process" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-process-7e950b6366d4da90292c2e7fa820b3c1842b965a";
        url = "https://github.com/symfony/process.git";
        rev = "7e950b6366d4da90292c2e7fa820b3c1842b965a";
        sha256 = "0dhj8z0yjny2dc7zbjlh1r195rkj6l3pgm88sz4wyzjhjwlny3w9";
      };
    };
    "symfony/psr-http-message-bridge" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-psr-http-message-bridge-81db2d4ae86e9f0049828d9343a72b9523884e5d";
        url = "https://github.com/symfony/psr-http-message-bridge.git";
        rev = "81db2d4ae86e9f0049828d9343a72b9523884e5d";
        sha256 = "1kqr4s979f6fsg7glbj68qhrgzl98adgq9v2rqf6d6bs9hvpnkcp";
      };
    };
    "symfony/routing" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-routing-69919991c845b34626664ddc9b3aef9d09d2a5df";
        url = "https://github.com/symfony/routing.git";
        rev = "69919991c845b34626664ddc9b3aef9d09d2a5df";
        sha256 = "1xda7mgbl3500gkbspablabxncirzznz7pyiilk4kwrdw0x8r7p4";
      };
    };
    "symfony/service-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-service-contracts-d15da7ba4957ffb8f1747218be9e1a121fd298a1";
        url = "https://github.com/symfony/service-contracts.git";
        rev = "d15da7ba4957ffb8f1747218be9e1a121fd298a1";
        sha256 = "094cdzwn4kbaraz2crf86x5bm719qqg98a4r9azhqv08x78ks7kc";
      };
    };
    "symfony/translation" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-translation-eb8f5428cc3b40d6dffe303b195b084f1c5fbd14";
        url = "https://github.com/symfony/translation.git";
        rev = "eb8f5428cc3b40d6dffe303b195b084f1c5fbd14";
        sha256 = "1psjn2r3m281hniyz6q68jyij279ny03jzilnx67vcs07cj33xnj";
      };
    };
    "symfony/translation-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-translation-contracts-e2eaa60b558f26a4b0354e1bbb25636efaaad105";
        url = "https://github.com/symfony/translation-contracts.git";
        rev = "e2eaa60b558f26a4b0354e1bbb25636efaaad105";
        sha256 = "02max42gsgs0lgildhs8n2j1zc75x18d8n31r5amqzpba0k5gih1";
      };
    };
    "symfony/var-dumper" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-var-dumper-0da0e174f728996f5d5072d6a9f0a42259dbc806";
        url = "https://github.com/symfony/var-dumper.git";
        rev = "0da0e174f728996f5d5072d6a9f0a42259dbc806";
        sha256 = "14ryd3w6fp2vvjc8nrm42vgr7rb94dl9kiacb9q0gj4867n7bi33";
      };
    };
    "tecnickcom/tc-lib-barcode" = {
      targetDir = "";
      src = fetchgit {
        name = "tecnickcom-tc-lib-barcode-a8a7183e2be6379e522dc825a3b7a3af5394a9e7";
        url = "https://github.com/tecnickcom/tc-lib-barcode.git";
        rev = "a8a7183e2be6379e522dc825a3b7a3af5394a9e7";
        sha256 = "0nqmipfdzbaf602srnrn3zngr8b9nn67vr18163bpl22jkgd648d";
      };
    };
    "tecnickcom/tc-lib-color" = {
      targetDir = "";
      src = fetchgit {
        name = "tecnickcom-tc-lib-color-83cdb57fd900901c6aa2af8cfd67202518fb69b2";
        url = "https://github.com/tecnickcom/tc-lib-color.git";
        rev = "83cdb57fd900901c6aa2af8cfd67202518fb69b2";
        sha256 = "16k7k45zi4sdccjnsb3p815aj8plya9ak07x5x9nkw6dxv6ycrl1";
      };
    };
    "tightenco/collect" = {
      targetDir = "";
      src = fetchgit {
        name = "tightenco-collect-b069783ab0c547bb894ebcf8e7f6024bb401f9d2";
        url = "https://github.com/tighten/collect.git";
        rev = "b069783ab0c547bb894ebcf8e7f6024bb401f9d2";
        sha256 = "1c5w4zwxpnbc1gggm6xmyigyi0sgf99hdbxf7lw12cgaj7pa9lv1";
      };
    };
    "tightenco/ziggy" = {
      targetDir = "";
      src = fetchgit {
        name = "tightenco-ziggy-82ea6ec6cb6ab3545b0245310b2a424316fe48d8";
        url = "https://github.com/tighten/ziggy.git";
        rev = "82ea6ec6cb6ab3545b0245310b2a424316fe48d8";
        sha256 = "0ij6vv3nyckjrb0n44w1jr42y4n1hb7h69l07b53zczkvl41amgs";
      };
    };
    "tijsverkoyen/css-to-inline-styles" = {
      targetDir = "";
      src = fetchgit {
        name = "tijsverkoyen-css-to-inline-styles-b43b05cf43c1b6d849478965062b6ef73e223bb5";
        url = "https://github.com/tijsverkoyen/CssToInlineStyles.git";
        rev = "b43b05cf43c1b6d849478965062b6ef73e223bb5";
        sha256 = "038q6zbx056b2waz85s0frzlis3cknqnqpfix8jybkjwj73bx32l";
      };
    };
    "unicodeveloper/laravel-password" = {
      targetDir = "";
      src = fetchgit {
        name = "unicodeveloper-laravel-password-806e345ae992e0adf38c4cfa32063d7d7c9d189a";
        url = "https://github.com/unicodeveloper/laravel-password.git";
        rev = "806e345ae992e0adf38c4cfa32063d7d7c9d189a";
        sha256 = "0321mgmk0cfalr99fd2d5v6dg9q3ddxy394pg80hq4kwgryhqrrq";
      };
    };
    "vlucas/phpdotenv" = {
      targetDir = "";
      src = fetchgit {
        name = "vlucas-phpdotenv-5e679f7616db829358341e2d5cccbd18773bdab8";
        url = "https://github.com/vlucas/phpdotenv.git";
        rev = "5e679f7616db829358341e2d5cccbd18773bdab8";
        sha256 = "0lmms1prpsm165p4apdv7ybcbxz8lb75jbh97jvzd0npxzhrhs9b";
      };
    };
    "watson/validating" = {
      targetDir = "";
      src = fetchgit {
        name = "watson-validating-b8731af37eade6b25aac1fcec5e90fdfdb9de5f5";
        url = "https://github.com/dwightwatson/validating.git";
        rev = "b8731af37eade6b25aac1fcec5e90fdfdb9de5f5";
        sha256 = "1l602llzk2i6689hn73kwxgnv1kzj3ha3kqd344491dnfbgxz601";
      };
    };
    "webmozart/assert" = {
      targetDir = "";
      src = fetchgit {
        name = "webmozart-assert-6964c76c7804814a842473e0c8fd15bab0f18e25";
        url = "https://github.com/webmozarts/assert.git";
        rev = "6964c76c7804814a842473e0c8fd15bab0f18e25";
        sha256 = "1fh1i8z1i6fh8zjqhz2yfh1l4w48w3wa4rqfikf4j0b7a4bgan8m";
      };
    };
  };
  devPackages = {};
in
composerEnv.buildPackage {
  inherit packages devPackages noDev;
  name = "snipe-it";
  src = ./.;
  executable = false;
  symlinkDependencies = false;
  meta = {
    license = "AGPL-3.0-or-later";
  };
}
